
Redmine - Feature #19324

SSL/TLS certificate verification fails on receive_imap

2015-03-10 13:24 - Sebastian Paluch

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Both SSL and TLS connections fails dues to certificate violation as discussed on this forum. The resolution is in this message.

I hacked lib/redmine/imap.rb in the same way and it worked fine, so, I'm requesting a way to pass an option from command line for

certificate verification.

I have tested also this and it works but as discussed it affects entire application.

I have tested also #16823.

Related issues:

Related to Redmine - Feature #41738: Allow IMAP4 email receiving to skip SSL ... Closed

History

#1 - 2015-03-20 04:52 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Could you try #19232?

#2 - 2015-03-20 10:15 - Sebastian Paluch

Unfortunately, with STATTLS I get bad response error complaining about sending command in invalid state :(

#3 - 2024-12-18 05:40 - Go MAEDA

- Related to Feature #41738: Allow IMAP4 email receiving to skip SSL certificate verification with `ssl=force` option added
